com.mysql.cj.log

## Interface ProfilerEventHandler

    public interface ProfilerEventHandler

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `consumeEvent(ProfilerEvent evt)`
`void` `destroy()`
`void` `init(Log log)`
`void` `processEvent(byte eventType, Session session, Query query, Resultset resultSet, long eventDuration, Throwable eventCreationPoint, String message)`

### Method Detail

#### init

    void init(Log log)

#### destroy

    void destroy()

#### consumeEvent

    void consumeEvent(ProfilerEvent evt)

#### processEvent

    void processEvent(byte eventType,
                      Session session,
                      Query query,
                      Resultset resultSet,
                      long eventDuration,
                      Throwable eventCreationPoint,
                      String message)

Copyright © 2016, 2025, Oracle and/or its affiliates.